## PhoshVpnInfo

PhoshVpnInfo — A widget to display the vpn status

## Functions

GtkWidget * | phosh_vpn_info_new ()

## Properties

gboolean | enabled | Read
gboolean | present | Read

## Types and Values

#define | PHOSH_TYPE_VPN_INFO
| PhoshVpnInfo

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── PhoshStatusIcon
                            ╰── PhoshVpnInfo

## Implemented Interfaces

PhoshVpnInfo implements AtkImplementorIface and GtkBuildable.

## Description

PhoshVpnInfo displays the current vpn status based on information from PhoshVpnManager. To figure out if the widget should be shown the “enabled” property can be useful.

## Functions

### phosh_vpn_info_new ()

    GtkWidget *
    phosh_vpn_info_new (void);

## Types and Values

### PHOSH_TYPE_VPN_INFO

    #define PHOSH_TYPE_VPN_INFO (phosh_vpn_info_get_type())

### PhoshVpnInfo

    typedef struct _PhoshVpnInfo PhoshVpnInfo;

## Property Details

### The `“enabled”` property

      “enabled”                  gboolean

Owner: PhoshVpnInfo

Flags: Read

Default value: FALSE

### The `“present”` property

      “present”                  gboolean

Owner: PhoshVpnInfo

Flags: Read

Default value: FALSE